using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.PF;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.PF
{
    [Description("分管部门")]
    public class  T_PF_APPROVE_ROLE_DEPARTMENT : MesEntityBase
    {
        [DataFieldForeignKey("Nav_Approve", "Nav_ApproveDeparts")]
        [Description("主表ID")]
        public Guid? APPROVAL_ROLE_ID { get; set; }
        [Description("导航属性：审批角色")]
        public virtual T_PF_APPROVAL_ROLE Nav_Approve { get; set; }

        [Description("部门")]
        [DataFieldForeignKey("Nav_Department")]
        public Guid? DEPARTMENT_ID { get; set; }
        [Description("导航属性：部门")]
        public virtual T_FM_DEPARTMENT Nav_Department { get; set; }
    }
}
